tigase.jaxmpp.core.client.xmpp.modules.chat.xep0085

## Enum ChatState

- java.lang.Object
- - java.lang.Enum<ChatState>
  - - tigase.jaxmpp.core.client.xmpp.modules.chat.xep0085.ChatState

- All Implemented Interfaces:
    Serializable, Comparable<ChatState>

      public enum ChatState
      extends Enum<ChatState>

  Author:
    andrzej

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `active`
    `composing`
    `gone`
    `inactive`
    `paused`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `XMLNS`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ChatState` | `fromElement(Element elem)`
    `Element` | `toElement()`
    `static ChatState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ChatState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### active

          public static final ChatState active

    - #### inactive

          public static final ChatState inactive

    - #### gone

          public static final ChatState gone

    - #### composing

          public static final ChatState composing

    - #### paused

          public static final ChatState paused

  - ### Field Detail

    - #### XMLNS

          public static String XMLNS

  - ### Method Detail

    - #### values

          public static ChatState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ChatState c : ChatState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ChatState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toElement

          public Element toElement()
                            throws XMLException

      Throws:
        `XMLException`

    - #### fromElement

          public static ChatState fromElement(Element elem)
                                       throws XMLException

      Throws:
        `XMLException`

Copyright © 2006–2016 Tigase. All rights reserved.